rem
	bbdoc: Type description
end rem

Import "TGameElement.bmx"
Import "TCoordinate.bmx"

Incbin "gfx/turret.png"

Type TPlayer Extends TGameElement
	Global playerImg:TImage

		
	Function Create:TPlayer(pos:TCoordinate)
		Local player:TPlayer = New TPlayer
		player.pos = pos
		player.oldPos = TCoordinate.Copy(pos)
		If playerImg = Null
			playerImg = LoadImage("incbin::gfx/turret.png")
		End If
		Return player
	End Function

		
	Method Update(fixedRate:Float)
		Local mousePos:TCoordinate
		mousePos = TCoordinate.Create(MouseX(), MouseY(), 0)
		' let's rotate to always look at the mouse
		Self.oldAngle = Self.angle
		Self.angle = pos.getAngle(mousePos)
	End Method

		
	Method Render(tween:Float)
		SetRotation(self.angle)
		DrawImage(playerImg, pos.x, pos.y)
		SetRotation(0)
	End Method
End Type
